<launch>
    <!-- Include IntelRealSense Launch File-->
    <include file="$(find realsense2_camera)/launch/rs_camera.launch">
        <arg name="align_depth" value="true"/>
        <arg name="depth_width" value="480"/>
        <arg name="depth_height" value="270"/>
        <arg name="color_width" value="424"/>
        <arg name="color_height" value="240"/>
        <arg name="depth_fps" value="60"/>
        <arg name="color_fps" value="60"/>
    </include>
    <!-- Launch Image Processing Node -->
    <node name="realsense_processing" pkg="pingpong" type="ball_tracking.py" output="screen"/>
    <!-- Static transform for top down publisher -->
    <node pkg="tf" type="static_transform_publisher" name="camera_to_robot_frame" args="-85.2 16 106.49 -1.5707 0 3.1415 camera_link robo_base 20" />
    <!-- Predict ball trajectory -->    
    <node name="ball_estimator" pkg="pingpong" type="trajectory_estimator.py" output="screen">
        <param name="samples" value="5"/>
        <param name="expire_time" value="3"/>
        <param name="forward_projection_time" value="2.0"/>
        <param name="projection_interval" value="0.01"/>
        <param name="deformation_factor" value="0.8"/>
    </node>
    <!-- Calculate point of intercept -->
    <node name="intercept_estimator" pkg="pingpong" type="intercept_estimator.py" output="screen">
    </node>
</launch>